summaryrefslogtreecommitdiff
path: root/armv7-versatile/run-built-image.run
diff options
context:
space:
mode:
Diffstat (limited to 'armv7-versatile/run-built-image.run')
-rwxr-xr-xarmv7-versatile/run-built-image.run543
1 files changed, 0 insertions, 543 deletions
diff --git a/armv7-versatile/run-built-image.run b/armv7-versatile/run-built-image.run
deleted file mode 100755
index 769203d..0000000
--- a/armv7-versatile/run-built-image.run
+++ /dev/null
@@ -1,543 +0,0 @@
-#!/bin/sh
-# This script was generated using Makeself 2.1.6
-
-umask 077
-
-CRCsum="208333192"
-MD5="bb2d13009a00d403dedb77be6f7a4569"
-TMPROOT=${TMPDIR:=/tmp}
-
-label="Baserock QEMU wrapper for ARMv7 Versatile Express"
-script="./run-built-arm-image.sh"
-scriptargs=""
-licensetxt=""
-targetdir="makeself-15213-20121210105821"
-filesizes="11883"
-keep="n"
-quiet="n"
-
-print_cmd_arg=""
-if type printf > /dev/null; then
- print_cmd="printf"
-elif test -x /usr/ucb/echo; then
- print_cmd="/usr/ucb/echo"
-else
- print_cmd="echo"
-fi
-
-unset CDPATH
-
-MS_Printf()
-{
- $print_cmd $print_cmd_arg "$1"
-}
-
-MS_PrintLicense()
-{
- if test x"$licensetxt" != x; then
- echo $licensetxt
- while true
- do
- MS_Printf "Please type y to accept, n otherwise: "
- read yn
- if test x"$yn" = xn; then
- keep=n
- eval $finish; exit 1
- break;
- elif test x"$yn" = xy; then
- break;
- fi
- done
- fi
-}
-
-MS_diskspace()
-{
- (
- if test -d /usr/xpg4/bin; then
- PATH=/usr/xpg4/bin:$PATH
- fi
- df -kP "$1" | tail -1 | awk '{ if ($4 ~ /%/) {print $3} else {print $4} }'
- )
-}
-
-MS_dd()
-{
- blocks=`expr $3 / 1024`
- bytes=`expr $3 % 1024`
- dd if="$1" ibs=$2 skip=1 obs=1024 conv=sync 2> /dev/null | \
- { test $blocks -gt 0 && dd ibs=1024 obs=1024 count=$blocks ; \
- test $bytes -gt 0 && dd ibs=1 obs=1024 count=$bytes ; } 2> /dev/null
-}
-
-MS_dd_Progress()
-{
- if test "$noprogress" = "y"; then
- MS_dd $@
- return $?
- fi
- file="$1"
- offset=$2
- length=$3
- pos=0
- bsize=4194304
- while test $bsize -gt $length; do
- bsize=`expr $bsize / 4`
- done
- blocks=`expr $length / $bsize`
- bytes=`expr $length % $bsize`
- (
- dd bs=$offset count=0 skip=1 2>/dev/null
- pos=`expr $pos \+ $bsize`
- MS_Printf " 0%% " 1>&2
- if test $blocks -gt 0; then
- while test $pos -le $length; do
- dd bs=$bsize count=1 2>/dev/null
- pcent=`expr $length / 100`
- pcent=`expr $pos / $pcent`
- if test $pcent -lt 100; then
- MS_Printf "\b\b\b\b\b\b\b" 1>&2
- if test $pcent -lt 10; then
- MS_Printf " $pcent%% " 1>&2
- else
- MS_Printf " $pcent%% " 1>&2
- fi
- fi
- pos=`expr $pos \+ $bsize`
- done
- fi
- if test $bytes -gt 0; then
- dd bs=$bytes count=1 2>/dev/null
- fi
- MS_Printf "\b\b\b\b\b\b\b" 1>&2
- MS_Printf " 100%% " 1>&2
- ) < "$file"
-}
-
-MS_Help()
-{
- cat << EOH >&2
-Makeself version 2.1.6
- 1) Getting help or info about $0 :
- $0 --help Print this message
- $0 --info Print embedded info : title, default target directory, embedded script ...
- $0 --lsm Print embedded lsm entry (or no LSM)
- $0 --list Print the list of files in the archive
- $0 --check Checks integrity of the archive
-
- 2) Running $0 :
- $0 [options] [--] [additional arguments to embedded script]
- with following options (in that order)
- --confirm Ask before running embedded script
- --quiet Do not print anything except error messages
- --noexec Do not run embedded script
- --keep Do not erase target directory after running
- the embedded script
- --noprogress Do not show the progress during the decompression
- --nox11 Do not spawn an xterm
- --nochown Do not give the extracted files to the current user
- --target dir Extract directly to a target directory
- directory path can be either absolute or relative
- --tar arg1 [arg2 ...] Access the contents of the archive through the tar command
- -- Following arguments will be passed to the embedded script
-EOH
-}
-
-MS_Check()
-{
- OLD_PATH="$PATH"
- PATH=${GUESS_MD5_PATH:-"$OLD_PATH:/bin:/usr/bin:/sbin:/usr/local/ssl/bin:/usr/local/bin:/opt/openssl/bin"}
- MD5_ARG=""
- MD5_PATH=`exec <&- 2>&-; which md5sum || type md5sum`
- test -x "$MD5_PATH" || MD5_PATH=`exec <&- 2>&-; which md5 || type md5`
- test -x "$MD5_PATH" || MD5_PATH=`exec <&- 2>&-; which digest || type digest`
- PATH="$OLD_PATH"
-
- if test "$quiet" = "n";then
- MS_Printf "Verifying archive integrity..."
- fi
- offset=`head -n 498 "$1" | wc -c | tr -d " "`
- verb=$2
- i=1
- for s in $filesizes
- do
- crc=`echo $CRCsum | cut -d" " -f$i`
- if test -x "$MD5_PATH"; then
- if test `basename $MD5_PATH` = digest; then
- MD5_ARG="-a md5"
- fi
- md5=`echo $MD5 | cut -d" " -f$i`
- if test $md5 = "00000000000000000000000000000000"; then
- test x$verb = xy && echo " $1 does not contain an embedded MD5 checksum." >&2
- else
- md5sum=`MS_dd "$1" $offset $s | eval "$MD5_PATH $MD5_ARG" | cut -b-32`;
- if test "$md5sum" != "$md5"; then
- echo "Error in MD5 checksums: $md5sum is different from $md5" >&2
- exit 2
- else
- test x$verb = xy && MS_Printf " MD5 checksums are OK." >&2
- fi
- crc="0000000000"; verb=n
- fi
- fi
- if test $crc = "0000000000"; then
- test x$verb = xy && echo " $1 does not contain a CRC checksum." >&2
- else
- sum1=`MS_dd "$1" $offset $s | CMD_ENV=xpg4 cksum | awk '{print $1}'`
- if test "$sum1" = "$crc"; then
- test x$verb = xy && MS_Printf " CRC checksums are OK." >&2
- else
- echo "Error in checksums: $sum1 is different from $crc" >&2
- exit 2;
- fi
- fi
- i=`expr $i + 1`
- offset=`expr $offset + $s`
- done
- if test "$quiet" = "n";then
- echo " All good."
- fi
-}
-
-UnTAR()
-{
- if test "$quiet" = "n"; then
- tar $1vf - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 $$; }
- else
-
- tar $1f - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 $$; }
- fi
-}
-
-finish=true
-xterm_loop=
-noprogress=n
-nox11=n
-copy=none
-ownership=y
-verbose=n
-
-initargs="$@"
-
-while true
-do
- case "$1" in
- -h | --help)
- MS_Help
- exit 0
- ;;
- -q | --quiet)
- quiet=y
- noprogress=y
- shift
- ;;
- --info)
- echo Identification: "$label"
- echo Target directory: "$targetdir"
- echo Uncompressed size: 72 KB
- echo Compression: gzip
- echo Date of packaging: Mon Dec 10 10:58:21 GMT 2012
- echo Built with Makeself version 2.1.6 on linux-gnu
- echo Build command was: "../../makeself/makeself.sh \\
- \".\" \\
- \"/home/jonathan/workspace/br/initial-setup/armv7-versatile/../run-built-image.run\" \\
- \"Baserock QEMU wrapper for ARMv7 Versatile Express\" \\
- \"./run-built-arm-image.sh\""
- if test x$script != x; then
- echo Script run after extraction:
- echo " " $script $scriptargs
- fi
- if test x"" = xcopy; then
- echo "Archive will copy itself to a temporary location"
- fi
- if test x"n" = xy; then
- echo "directory $targetdir is permanent"
- else
- echo "$targetdir will be removed after extraction"
- fi
- exit 0
- ;;
- --dumpconf)
- echo LABEL=\"$label\"
- echo SCRIPT=\"$script\"
- echo SCRIPTARGS=\"$scriptargs\"
- echo archdirname=\"makeself-15213-20121210105821\"
- echo KEEP=n
- echo COMPRESS=gzip
- echo filesizes=\"$filesizes\"
- echo CRCsum=\"$CRCsum\"
- echo MD5sum=\"$MD5\"
- echo OLDUSIZE=72
- echo OLDSKIP=499
- exit 0
- ;;
- --lsm)
-cat << EOLSM
-No LSM.
-EOLSM
- exit 0
- ;;
- --list)
- echo Target directory: $targetdir
- offset=`head -n 498 "$0" | wc -c | tr -d " "`
- for s in $filesizes
- do
- MS_dd "$0" $offset $s | eval "gzip -cd" | UnTAR t
- offset=`expr $offset + $s`
- done
- exit 0
- ;;
- --tar)
- offset=`head -n 498 "$0" | wc -c | tr -d " "`
- arg1="$2"
- if ! shift 2; then MS_Help; exit 1; fi
- for s in $filesizes
- do
- MS_dd "$0" $offset $s | eval "gzip -cd" | tar "$arg1" - $*
- offset=`expr $offset + $s`
- done
- exit 0
- ;;
- --check)
- MS_Check "$0" y
- exit 0
- ;;
- --confirm)
- verbose=y
- shift
- ;;
- --noexec)
- script=""
- shift
- ;;
- --keep)
- keep=y
- shift
- ;;
- --target)
- keep=y
- targetdir=${2:-.}
- if ! shift 2; then MS_Help; exit 1; fi
- ;;
- --noprogress)
- noprogress=y
- shift
- ;;
- --nox11)
- nox11=y
- shift
- ;;
- --nochown)
- ownership=n
- shift
- ;;
- --xwin)
- finish="echo Press Return to close this window...; read junk"
- xterm_loop=1
- shift
- ;;
- --phase2)
- copy=phase2
- shift
- ;;
- --)
- shift
- break ;;
- -*)
- echo Unrecognized flag : "$1" >&2
- MS_Help
- exit 1
- ;;
- *)
- break ;;
- esac
-done
-
-if test "$quiet" = "y" -a "$verbose" = "y";then
- echo Cannot be verbose and quiet at the same time. >&2
- exit 1
-fi
-
-MS_PrintLicense
-
-case "$copy" in
-copy)
- tmpdir=$TMPROOT/makeself.$RANDOM.`date +"%y%m%d%H%M%S"`.$$
- mkdir "$tmpdir" || {
- echo "Could not create temporary directory $tmpdir" >&2
- exit 1
- }
- SCRIPT_COPY="$tmpdir/makeself"
- echo "Copying to a temporary location..." >&2
- cp "$0" "$SCRIPT_COPY"
- chmod +x "$SCRIPT_COPY"
- cd "$TMPROOT"
- exec "$SCRIPT_COPY" --phase2 -- $initargs
- ;;
-phase2)
- finish="$finish ; rm -rf `dirname $0`"
- ;;
-esac
-
-if test "$nox11" = "n"; then
- if tty -s; then # Do we have a terminal?
- :
- else
- if test x"$DISPLAY" != x -a x"$xterm_loop" = x; then # No, but do we have X?
- if xset q > /dev/null 2>&1; then # Check for valid DISPLAY variable
- GUESS_XTERMS="xterm rxvt dtterm eterm Eterm kvt konsole aterm"
- for a in $GUESS_XTERMS; do
- if type $a >/dev/null 2>&1; then
- XTERM=$a
- break
- fi
- done
- chmod a+x $0 || echo Please add execution rights on $0
- if test `echo "$0" | cut -c1` = "/"; then # Spawn a terminal!
- exec $XTERM -title "$label" -e "$0" --xwin "$initargs"
- else
- exec $XTERM -title "$label" -e "./$0" --xwin "$initargs"
- fi
- fi
- fi
- fi
-fi
-
-if test "$targetdir" = "."; then
- tmpdir="."
-else
- if test "$keep" = y; then
- if test "$quiet" = "n";then
- echo "Creating directory $targetdir" >&2
- fi
- tmpdir="$targetdir"
- dashp="-p"
- else
- tmpdir="$TMPROOT/selfgz$$$RANDOM"
- dashp=""
- fi
- mkdir $dashp $tmpdir || {
- echo 'Cannot create target directory' $tmpdir >&2
- echo 'You should try option --target dir' >&2
- eval $finish
- exit 1
- }
-fi
-
-location="`pwd`"
-if test x$SETUP_NOCHECK != x1; then
- MS_Check "$0"
-fi
-offset=`head -n 498 "$0" | wc -c | tr -d " "`
-
-if test x"$verbose" = xy; then
- MS_Printf "About to extract 72 KB in $tmpdir ... Proceed ? [Y/n] "
- read yn
- if test x"$yn" = xn; then
- eval $finish; exit 1
- fi
-fi
-
-if test "$quiet" = "n";then
- MS_Printf "Uncompressing $label"
-fi
-res=3
-if test "$keep" = n; then
- trap 'echo Signal caught, cleaning up >&2; cd $TMPROOT; /bin/rm -rf $tmpdir; eval $finish; exit 15' 1 2 3 15
-fi
-
-leftspace=`MS_diskspace $tmpdir`
-if test -n "$leftspace"; then
- if test "$leftspace" -lt 72; then
- echo
- echo "Not enough space left in "`dirname $tmpdir`" ($leftspace KB) to decompress $0 (72 KB)" >&2
- if test "$keep" = n; then
- echo "Consider setting TMPDIR to a directory with more free space."
- fi
- eval $finish; exit 1
- fi
-fi
-
-for s in $filesizes
-do
- if MS_dd_Progress "$0" $offset $s | eval "gzip -cd" | ( cd "$tmpdir"; UnTAR x ) 1>/dev/null; then
- if test x"$ownership" = xy; then
- (PATH=/usr/xpg4/bin:$PATH; cd "$tmpdir"; chown -R `id -u` .; chgrp -R `id -g` .)
- fi
- else
- echo >&2
- echo "Unable to decompress $0" >&2
- eval $finish; exit 1
- fi
- offset=`expr $offset + $s`
-done
-if test "$quiet" = "n";then
- echo
-fi
-
-cd "$tmpdir"
-res=0
-if test x"$script" != x; then
- if test x"$verbose" = xy; then
- MS_Printf "OK to execute: $script $scriptargs $* ? [Y/n] "
- read yn
- if test x"$yn" = x -o x"$yn" = xy -o x"$yn" = xY; then
- eval $script $scriptargs $*; res=$?;
- fi
- else
- eval $script $scriptargs $*; res=$?
- fi
- if test $res -ne 0; then
- test x"$verbose" = xy && echo "The program '$script' returned an error code ($res)" >&2
- fi
-fi
-if test "$keep" = n; then
- cd $TMPROOT
- /bin/rm -rf $tmpdir
-fi
-eval $finish; exit $res
-
-HO
-I0RߞJQ !"[JB3 u?@N 0a,‘+i`L܄A0pmw+&'D#1ZzE&`s
-=#&a>i;@5;vΡyypq\?y(Т
-!X2|xIc0 }8Zֳ*eFhc$ED-k!MuT1n*/.ƛ h7Λ5Ӛ@b?]5qZ44wNy^+l$.uHdcȑb>9 ~,ePH#1(ct.N:5kU,/]ȐMr<X`43j~l ,r뭙MQlH֩jWzEzP`Aʕ;ZCg=@RHP".uGM6eȬp&ExHN3ۈYQHjeeu^4֢o}EytpvzvptK堄O<Jȼ/M W_"^!X,+
-%I/@g"<#n D?,q/yAB*vFD8?
-,2WEo?iN>2s'p4m59&h<_++V@|aM')֮T7xhj}qX-;;? =u*-HM.Y`1V"BO (B*gbX l+I#vݡU?ohh`fK[?A0 @@3TU<mBp ](B];gQk!a$`4e#,_W*+TwuoUv]B >Er$ZWPD&|BXOh%ZnC֫U `Q! Q>ҍ~ # Rx
-?8;2M'՜f? w4ÄU63D?m[\3vnHLhEoGȳTZEÔ& ^7O5r{QnxњYaY9i3Z_种cQ16^WMd!$i<T١QeB:c Y3əxI6jȣ Zny7qVXE@X#``y?Q[6vvtwPwMר=}
-ԚCmrvf]ߒ]ߒ]
-6Qu.](<,> :_[*UC9@E/+P[/*3Wfh;'
-+@ py(R
-ػC@P7 R6\S]UP4t<~`wC‰H: JvKʙfęqJD6S$_ܱ^gfuc<v̍\"IOEg&ς3G"(j, |6Y.c)3ys1gdwB U"ExiM`igj-~-_Y !}f4()P@%0)pfm&12݋0thH떹3a;[‡GΧ53f!sbm6o)<>9LBGCgry1vnP{>|VX
-1qgy ;`S{s^8~WC
-\,_; E'A7Q:d0tq~<z}ih (b8ǝ4q)z#3E0VT1<- c5} gnnFiqHUd{dLk7{2tb,{&e}L;}g o K#3ixEb=E Hۉq<L  E֩HzK,ia U3kkHw4xsZ]`p.T^+FӗJI6 !DvJޜשD|tidNf;3aem\
-AKfmfFXJw[hsPd~CS k[zud"sv[ʹK05Vy:*-ߵ.C r9qbk#`S,3WmmƤ+7z@gƴUe/huCCpN̵H:VSrIrggfR!/2E~w#
-WoSf9IExlkO֯e1'Z#6J#5U[I*HW0r'x0 9=PqrRE-o iO~v M$P͇O {G2CK%sqs.K*\bf
-PHwK%{T3\q7* ,l5o+,^WjMl>5ku׵([.Ģp @)(Uj`O<$ĄKC"$G+*P m9l/㈽p97T.6ۏ"0~~2 - =Rvf= v{1 Ǐ^\fB4̄9OkvV!@%pCsp4;%Gh`d 4
-tڌYTd걗T2s;PT37Lqe'J`pnx5K_zCo9f/Eu(.;,jAPխe?J%oYEÞ6eM ĉIVBG5N6fAd17 |_?QI .ٜSAe̊ jMm@{M\I4Fm_۟>}(13OK􋱉B}z.Ԋr2~ͿngHz81M k݄;x `[1}@5dѓF[f/{լFOnt<>R{cjkt5?S{>kq}tSV!`-D>DY*$PAj8 r$hTVɌA7X,`VM[_a p臞S+Tusn#a)8#mqO&zz2u$1P%!jR5;ۏs PvmEP`Kq@AXHpj=wTO;d]".0}٧-س,:/q:zsiY$1r%<~}Ɇy#1 ,IbI8ٙѯmXG bQ^FuĨ߿ۻme`iMÊzت~Ν4i5DR>g?
-nI,梉bR)1mgeNГ2 L
-?XU֬1gHdI0ԓ_buXb5:{gqJĺȟ ~|9KX,~ W$_1H#HW
-b&h*7(j a"$Tw/mY ' k͵zsQIj?EraH#>ZP)LP\bĠ,1(( J4.pO@{0(0(El~vhM*_9 wIB[A_ /9-1ҝJ`>;;ݳ.a,kpl3zM-*f+MzkyKR $fP#W d}EHuCT
-,0"8p\9گJQ'ӍmS(xD;F0 +;
-HONWO>_D!oQFϳf;uZv\NJ/qp7Z_Z}V}A y%DӅ"TЄy*<D}5+Yu.zz?+I<@HO=yZa*{ :P>@0v Sv.g⨧ELbKI x8
-@n7]hD {^?Sh7`0܈`"fg77&1zRz֛5{Y k3{WD38Us|fɜUO]a4ǻH.=?Xp`m\졭w.bzWڄ*cN;ojT Z5'>)1}'F@|4Q  l۽ )cΞ^<Һ>LR4ޱF1O|%},@`g@G~SJ*<[o_$D|2؞ׁp>DTW#AeN .('R',kAS6Җ
-&\2[fYVFs3![N2JElxhPQPt
-J操ȟN>XmfĎ]`#`r `XJ2PGУJaUm}udyµ9ړ >klZ)oJ?[hJ\>N`O0ggx seP0&4(Nb<-P&5L4;;vwk62)&lPs.1p
-5L1?T,`\Oi1y6UΧXȀZp|f=˲`Nh6GCrY}
-VLfD$1T'6`
-Wܛ"TոV[Q.N.ܦ5PpJ G7*Xax
-Lv`نVH}PDk>XF:8<>><vvȳLeb w=}$ft\ule~H-wƵb7$7D e$ˡ+~qٞ=}[=wC`0~(P`L-a  c&HiBPKdkljMޅ@i>rhOAgh5z'?-@LqcF(yTQ@4dvf^dTCTÌe
-<Oo`Ɋ $ꙵH>xrJût+< ݳ JK&POEx0[]VAX RM
-|A [ԆQ7wGݽ6ڋHO2tmh-Q oև5z¢&ݎAƣ GiqؠjWXTo,F57ߎr$.BXȒ`J<j`VN`">+zD gIw;2zM(WJWك;d>5ZV?{Lh9. 3zD[@wJy$Y5J"DQkj ix- ?`٫5;T]]i K"FK"2a]l "g2ߘZ/g─icvb_%@Pەg)̟[V19&Lך|!~K̓Gߝmoᴭ'onn?zFæ ?LX0ȟ%gz
-U>lO*~DˑfH!J=C&^$`}HUIl^0bQ_=<8f fYo‹杄,9
-G
-O]aqY3@<lWwB:O<emEmDqE1&:{0.jܸu)D()6Y<a'G~ RU VzVi
-[1ώO
-d^${URWxoE0!LC6]RXB2kv):zx٬˒R
-W;QHP7̔J6l25;z&EFϿTh?/߼|or|
-@l9}Q
-FzP40Tl2ԝr2@s.(B6\{ݛoߌgCjf &RVpdxN*ZzTLu/OF NJ5"@t.(k7ghSZZ3vXy|\g+*O7Z5}<G?Gh geRvùx3IP2{G( i!(ӢQD-Dy-JVRߔn;T7X|~4\4_<_~ <4.Z>eę"!\x%iqD%3î~?SOzydqdIP4Tuc[F$L鹺̛^x3;o'-+9&]?ϯrj
-j2Yӊ=/. V
-X ~Y#/@S>~}j{UKJn.p$<.XA:} zwb $m9W4*}EjH]3>:ƃt 5r8jB_
-%r&a%Sjusq@8 owU<MK:AȮ{uY>2[8I^|۲˚ ?^읞spYG+r1
-^ˈ|:W'*;00XA /j!]~7MG41WwlLɼpd:̏нɑRǤ {J"\ 2^%F>pzO"H %`#/MwÅ>B~yr1iGCui8]8+w{# s?<|8K僝 fHsw $j&[F=s(7DH=>ږA"1A=8OG;f󈜼z[R||@[<xْ>ۉՄk}?.{f.*K8̪foѧ <` {?Wc^QYYޮ$<|I2#whOn k[p~mw-!2G`;;{`йYFy^:@c׉BF.ؔ.80瘪 _gj!l}5#-қ'7Hfr7$&{+ @ f?Pn
-dkxTmC҃1<(jeLMmB탺PJO6O<^&c66es@?u˗*[}eߚ%۟F4͜